<ui:composition xmlns:rich="http://richfaces.org/rich" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <rich:dataTable value="#{hl7Messages}" var="ti" rows="20" id="messageList">
        <ui:include src="/messages/logger_columns.xhtml">
            <ui:param name="managedBean" value="#{hl7MessageBrowser}"/>
        </ui:include>
        <g:column>
            <f:facet name="header">#{messages['gazelle.HL7Common.action']}</f:facet>
            <h:outputLink value="#{hl7MessageBrowser.permanentLink(ti)}" target="_blank;">
                <s:span styleClass="gzl-icon-search "/>
            </h:outputLink>
            <a4j:commandLink actionListener="#{hl7MessageBrowser.validate(ti)}"
                             oncomplete="jq162('#validationSummaryPanel').modal('show')"
                             render="validationSummaryPanelContent">
                <s:span styleClass="fa fa-play gzl-text-blue"/>
            </a4j:commandLink>
            <a4j:commandLink
                    actionListener="#{hl7MessageBrowser.setMessageForReplay(ti)}"
                    rendered="#{ti.isSentFromSimulator()}"
                    oncomplete="jq162('#replayPanel').modal('show')"
                    render="replayPanelDiv"
                    title="#{messages['gazelle.HL7Common.ReplayMessage_2']}">
                <s:span styleClass="fa fa-repeat gzl-text-blue gzl-icon-action"/>
            </a4j:commandLink>
        </g:column>
    </rich:dataTable>
    <ui:include src="/messages/validationSummaryPanel.xhtml">
        <ui:param name="managedBean" value="#{hl7MessageBrowser}"/>
    </ui:include>
    <ui:include src="/messages/replayPanel.xhtml">
        <ui:param name="managedBean" value="#{hl7MessageBrowser}"/>
    </ui:include>
</ui:composition>